Crazy Eddies GUI System: CEGUI::WindowRenderer Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | Friends
CEGUI::WindowRenderer Class Reference

Base-class for the assignable WindowRenderer object. More...

Inherited by CEGUI::EditboxWindowRenderer, CEGUI::FalagardButton, CEGUI::FalagardDefault, CEGUI::FalagardFrameWindow, CEGUI::FalagardListHeaderSegment, CEGUI::FalagardProgressBar, CEGUI::FalagardStatic, CEGUI::FalagardTabButton, CEGUI::FalagardTitlebar, CEGUI::FalagardTree, CEGUI::ItemEntryWindowRenderer, CEGUI::ItemListBaseWindowRenderer, CEGUI::ListboxWindowRenderer, CEGUI::ListHeaderWindowRenderer, CEGUI::MultiColumnListWindowRenderer, CEGUI::MultiLineEditboxWindowRenderer, CEGUI::ScrollablePaneWindowRenderer, CEGUI::ScrollbarWindowRenderer, CEGUI::SliderWindowRenderer, CEGUI::TabControlWindowRenderer, and CEGUI::TooltipWindowRenderer.

Collaboration diagram for CEGUI::WindowRenderer:
[legend]

List of all members.

## Public Member Functions
| WindowRenderer (const String &name, const String &class_name="Window")
| Constructor.
virtual | ~WindowRenderer ()
| Destructor.
virtual void | render ()=0
| Populate render cache.
const String & | getName () const
| Returns the factory type name of this window renderer.
Window * | getWindow () const
| Get the window this windowrenderer is attached to.
const String & | getClass () const
| Get the "minimum" Window class this renderer requires.
const WidgetLookFeel & | getLookNFeel () const
| Get the Look'N'Feel assigned to our window.
virtual Rect | getUnclippedInnerRect () const
| Get unclipped inner rectangle that our window should return from its member function with the same name.
virtual void | performChildWindowLayout ()
| Method called to perform extended laying out of the window's attached child windows.
virtual void | getRenderingContext (RenderingContext &ctx) const
| update the RenderingContext as needed for our window. This is normally invoked via our window's member function with the same name.
virtual void | update (float)
| perform any time based updates for this WindowRenderer.
## Protected Types
typedef std::pair< Property *, bool > | PropertyEntry
| type used for entries in the PropertyList.
typedef std::vector < PropertyEntry > | PropertyList
| type to use for the property list.
## Protected Member Functions
void | registerProperty (Property *property, const bool ban_from_xml)
| Register a property class that will be properly managed by this window renderer.
void | registerProperty (Property *property)
| Register a property class that will be properly managed by this window renderer.
virtual void | onAttach ()
| Handler called when this windowrenderer is attached to a window.
virtual void | onDetach ()
| Handler called when this windowrenderer is detached from its window.
virtual void | onLookNFeelAssigned ()
| Handler called when a Look'N'Feel is assigned to our window.
virtual void | onLookNFeelUnassigned ()
| Handler called when a Look'N'Feel is removed/unassigned from our window.
void | operator= (const WindowRenderer &)
## Protected Attributes
Window * | d_window
| Pointer to the window this windowrenderer is assigned to.
const String | d_name
| Name of the factory type used to create this window renderer.
const String | d_class
| Name of the widget class that is the "minimum" requirement.
PropertyList | d_properties
| The list of properties that this windowrenderer will be handling.
## Friends
class | Window

## Detailed Description

Base-class for the assignable WindowRenderer object.

## Constructor & Destructor Documentation

CEGUI::WindowRenderer::WindowRenderer | ( | const String & | name,
|  | const String & | class_name = `"Window"`
| ) |  |

Constructor.

Parameters:

  name | Factory type name
  class_name | The name of a widget class that is to be the minimum requirement for this window renderer.

## Member Function Documentation

void CEGUI::WindowRenderer::registerProperty | ( | Property * | property,
|  | const bool | ban_from_xml
| ) |  | `[protected]`

Register a property class that will be properly managed by this window renderer.

Parameters:

  property | Pointer to a static Property object that will be added to the target window.
  ban_from_xml | true if this property should be added to the 'ban' list so that it is not written in XML output. false if this property is not banned and should appear in XML output.

void CEGUI::WindowRenderer::registerProperty | ( | Property * | property | ) | `[protected]`

Register a property class that will be properly managed by this window renderer.

Parameters:

  property | Pointer to a static Property object that will be added to the target window.

virtual void CEGUI::WindowRenderer::render | ( |  | ) | `[pure virtual]`

Populate render cache.

This method must be implemented by all window renderers and should perform the rendering operations needed for this widget. Normally using the Falagard API...

Implemented in CEGUI::FalagardButton, CEGUI::FalagardDefault, CEGUI::FalagardEditbox, CEGUI::FalagardFrameWindow, CEGUI::FalagardItemEntry, CEGUI::FalagardItemListbox, CEGUI::FalagardListbox, CEGUI::FalagardListHeader, CEGUI::FalagardListHeaderSegment, CEGUI::FalagardMenubar, CEGUI::FalagardMenuItem, CEGUI::FalagardMultiColumnList, CEGUI::FalagardMultiLineEditbox, CEGUI::FalagardPopupMenu, CEGUI::FalagardProgressBar, CEGUI::FalagardScrollablePane, CEGUI::FalagardScrollbar, CEGUI::FalagardSlider, CEGUI::FalagardStatic, CEGUI::FalagardStaticImage, CEGUI::FalagardStaticText, CEGUI::FalagardTabButton, CEGUI::FalagardTabControl, CEGUI::FalagardTitlebar, CEGUI::FalagardTooltip, and CEGUI::FalagardTree.